package go_chat_api_util

import (
	"github.com/sirupsen/logrus"
	"io"
)

var log *logrus.Logger

func NewLogger(f io.Writer) *logrus.Logger {
	log = logrus.New()
	log.Formatter = &logrus.JSONFormatter{}
	//f, err := os.OpenFile("./log/log.txt", os.O_APPEND|os.O_CREATE|os.O_WRONLY, 0644)
	//if err != nil {
	//	panic("不能打开日志文件 " + err.Error())
	//}
	customF := new(logrus.JSONFormatter)
	customF.TimestampFormat = "2006-01-02 15:04:05"
	log.SetFormatter(customF)
	log.SetLevel(logrus.DebugLevel)
	//log.Out = f
	log.Out = f
	return log
}
func GetMusk(phone string) string {
	if phone == "" {
		return phone
	}
	phoneMask := ""
	list := []byte(phone)
	lenS := len(phone)
	if lenS > 7 {
		asterisk := ""
		for i := 0; i < lenS-7; i++ {
			asterisk += "*"
		}
		phoneMask = string(list[:3]) + asterisk + string(list[lenS-4:])
	} else if lenS >= 5 {
		phoneMask = string(list[:2]) + "**" + string(list[lenS-2:])
	} else {
		phoneMask = phone
	}
	return phoneMask
}
